import path_setting
from in_common.base_request import BaseRequest


class notification_request(BaseRequest):
    def __init__(self):
        self.data = self.api_load(path_setting.UNREAD_CONFIG)

    def unread(self,uqid,trace_id,):
        self.params["uqid"] = uqid
        self.params["trace_id"] = trace_id
        return self.api_send(self.data["unread"])
    def readall(self,uqid,trace_id,ua):
        self.params["uqid"] = uqid
        self.params["trace_id"] = trace_id
        self.params["ua"] = ua
        return self.api_send(self.data["readall"])

if __name__ == '__main__':
    #print(notification_request().unread("1B519701-A4F5-453E-9D99-140B5AF697A0", "2021/04/22/1722/46cf97b999b0"))
    print(notification_request().readall("1B519701-A4F5-453E-9D99-140B5AF697A0", "2021/05/19/1526/19fcd4c4be47","Mozilla/5.0 (iPhone; CPU iPhone OS 12_2 like Mac OS X) AppleWebKit/605.1.15 (KHTML, like Gecko) Mobile/15E148"))
